import {
    Story,
    Canvas,
    Meta,
    Description,
    ArgsTable,
} from "@storybook/addon-docs/blocks";
import { html } from "lit-html";
import CATEGORIES from "../categories";
import readme from "../../dist/docs/components/checkbox/readme.md";
export const Template = ({ label, value }) =>
    html`<ui-checkbox label="${label}" value="${value}" />`;

<Meta title={CATEGORIES.COMPONENTS + "Checkbox"} />

# Checkbox

A Checkbox that replaces the default browser checkbox styles

<Canvas
    mdxSource={`
    <ui-checkbox label="Label" value="Value"></ui-checkbox>
`}
>
    <Story
        height="30px"
        name="Checkbox"
        parameters={{ jest: ["checkbox.e2e.ts"], component: "ui-checkbox" }}
        args={{
            label: "Label",
            value: "Test",
        }}
    >
        {Template.bind({})}
    </Story>
</Canvas>

<ArgsTable story={"Checkbox"} />

---

## Usage

```
<ui-checkbox label="Label" value="Value"></ui-checkbox>
```

# Developer Documentation

<Description markdown={readme} />
